% script file Residuals.m
%%%%%%%%%%%%%%%%%%%%%%%%%
clear all; 

ndom = [10:1:120];

n1_x = zeros(size(ndom));
n2_x = zeros(size(ndom));
ninf_x = zeros(size(ndom));

n1_b = zeros(size(ndom));
n2_b = zeros(size(ndom));
ninf_b = zeros(size(ndom));

for ctr = 1:length(ndom);
  n = ndom(ctr);  
  disp(n);

  A = SparseMatrixExample(n);
  
  b = 0.01*rand(n^2,1);
  
  x = A\b; % exact solution
  
  % three norms
  
  n1_x(ctr) = norm(x,1);
  n2_x(ctr) = norm(x,2);
  ninf_x(ctr) = norm(x,inf);    
  
  
  n1_b(ctr) = norm(b,1);
  n2_b(ctr) = norm(b,2);
  ninf_b(ctr) = norm(b,inf);    
 
  
end
  
dim = ndom.^2;

figure(1);
clf;

subplot(2,3,1); plot(dim,n1_b); title('1-norm of b');
subplot(2,3,2); plot(dim,n2_b); title('2-norm of b');
subplot(2,3,3); plot(dim,ninf_b); title('inf-norm of b');

subplot(2,3,4); plot(dim,n1_x); title('1-norm of x');
subplot(2,3,5); plot(dim,n2_x); title('2-norm of x');
subplot(2,3,6); plot(dim,ninf_x); title('inf-norm of x');
 


